## org.biojava.utils.automata
Class ArrayStateMachineToolkit

    java.lang.Object
      org.biojava.utils.automata.ArrayStateMachineToolkit

    public class ArrayStateMachineToolkit

extends Object

Method Summary
`StateMachineFactory` `getFactory(String factoryName, FiniteAutomaton fa)` Returns a StateMachineFactory that produces instances that implement a StateMachine equivalent to the specified FiniteAutomaton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFactory

    public StateMachineFactory getFactory(String factoryName,
                                          FiniteAutomaton fa)
                                   throws IllegalAlphabetException

  Returns a StateMachineFactory that produces instances that implement a StateMachine equivalent to the specified FiniteAutomaton.

  Parameters:
    `factoryName` - label for this factory.
    `fa` - The FiniteAutomaton that describes the StateMachine.
  Throws:
    `IllegalAlphabetException`